Fedora Linux Support Community & Resources Center
  #1  
Old 7th August 2008, 03:48 PM
dancuc Offline
Registered User
 
Join Date: Jun 2008
Location: Brno, Czech republic
Age: 24
Posts: 62
YUM - Delete package WITHOUT Dependencies

Is this possible? I have maybe worked out what is causing my problem, but i need to delete evolution-data-server. But other 12 deps want to go with it. Because it's gnome-related things, I don't want to delete them. Can I exclude in some way the deps, so I'll delete only evolution-data-server?

Thanks in advance..
Reply With Quote
  #2  
Old 7th August 2008, 04:03 PM
PabloTwo Offline
"Registered User" T-Shirt Winner
 
Join Date: Mar 2007
Location: Seville, FL
Posts: 7,174
Not directly with yum, but you can using rpm

rpm --nodeps -e evolution-data-server

But I think you will find that removing that particular package will break a lot of things on your Fedora install. You can usually safely remove every *evolution* package except evolution-data-server. Too many other programs require evolution-data-server as a dependency. I removed it while in FC6 at one point and had to reinstall it, as too many things stopped working when it was gone.
Reply With Quote
  #3  
Old 7th August 2008, 04:07 PM
dancuc Offline
Registered User
 
Join Date: Jun 2008
Location: Brno, Czech republic
Age: 24
Posts: 62
Yes, but I'm having problems with my trash because of it. It won't get killed and therefore I can't get rid of my files.
Reply With Quote
  #4  
Old 7th August 2008, 04:17 PM
brebs Offline
Banned
 
Join Date: Apr 2008
Posts: 558
Close it with:
Code:
evolution --force-shutdown
From evolution --help
Reply With Quote
  #5  
Old 7th August 2008, 04:22 PM
dancuc Offline
Registered User
 
Join Date: Jun 2008
Location: Brno, Czech republic
Age: 24
Posts: 62
Thanks, it's working.
Reply With Quote
  #6  
Old 23rd November 2016, 05:45 AM
j3l11234 Offline
Registered User
 
Join Date: Nov 2016
Location: BeiJing,China
Posts: 1
macoschrome
Re: YUM - Delete package WITHOUT Dependencies

╮(╯_╰)╭
hi,I wrote a python to resolve this problem yesterday.
I hope it is useful for you and who was troubled about this problem.
: - )


I noted down the development process on my blog
http://blog.j3l11234.com/2016/11/23/...-with-exclude/

here is the usage:
Code:
# ./remove.py -e perl-Git -x git -v

analyzing exclude packages and their dependencies ...
exclude packages:
ca-certificates-0:2014.1.98-70.0.el7_0.noarch
kmod-libs-0:14-9.el7.x86_64
perl-constant-0:1.27-2.el7.noarch
perl-Pod-Perldoc-0:3.20-4.el7.noarch
nss-sysinit-0:3.16.2-7.el7_0.x86_64
kmod-0:20-8.el7_2.x86_64
fipscheck-lib-0:1.4.1-5.el7.x86_64
openssl-libs-1:1.0.1e-34.el7_0.6.x86_64
git-0:2.10.0-1.gf.el7.x86_64
binutils-0:2.23.52.0.1-16.el7.x86_64
zlib-0:1.2.7-13.el7.x86_64
systemd-libs-0:219-19.el7_2.13.x86_64
ncurses-0:5.9-13.20130511.el7.x86_64
libgcc-0:4.8.2-16.2.el7_0.x86_64
nss-0:3.16.2-7.el7_0.x86_64
dbus-libs-1:1.6.12-8.el7.x86_64
cryptsetup-libs-0:1.6.3-2.el7.x86_64
perl-Pod-Simple-1:3.28-4.el7.noarch
glib2-0:2.36.3-5.el7.x86_64
coreutils-0:8.22-11.el7.x86_64
kpartx-0:0.4.9-66.el7.x86_64
perl-Scalar-List-Utils-0:1.27-248.el7.x86_64
pcre-0:8.32-12.el7.x86_64
less-0:458-8.el7.x86_64
ncurses-libs-0:5.9-13.20130511.el7.x86_64
shared-mime-info-0:1.1-7.el7.x86_64
perl-Exporter-0:5.68-3.el7.noarch
gawk-0:4.0.2-4.el7.x86_64
libstdc++-0:4.8.2-16.2.el7_0.x86_64
xz-0:5.1.2-8alpha.el7.x86_64
readline-0:6.2-9.el7.x86_64
perl-PathTools-0:3.40-5.el7.x86_64
libutempter-0:1.1.6-4.el7.x86_64
perl-Time-Local-0:1.2300-2.el7.noarch
libsemanage-0:2.1.10-16.el7.x86_64
nss-softokn-0:3.16.2-2.el7_0.x86_64
libblkid-0:2.23.2-16.el7.x86_64
elfutils-libelf-0:0.158-3.el7.x86_64
perl-HTTP-Tiny-0:0.033-3.el7.noarch
nss-util-0:3.16.2-2.el7_0.x86_64
popt-0:1.13-16.el7.x86_64
libgpg-error-0:1.12-3.el7.x86_64
perl-Getopt-Long-0:2.40-2.el7.noarch
elfutils-libs-0:0.158-3.el7.x86_64
libxml2-0:2.9.1-5.el7_0.1.x86_64
perl-Pod-Usage-0:1.63-3.el7.noarch
perl-Filter-0:1.49-3.el7.x86_64
xz-libs-0:5.1.2-8alpha.el7.x86_64
centos-release-0:7-0.1406.el7.centos.2.5.x86_64
glibc-0:2.17-55.el7_0.1.x86_64
findutils-1:4.5.11-3.el7.x86_64
openssh-0:6.4p1-8.el7.x86_64
chkconfig-0:1.3.61-4.el7.x86_64
sqlite-0:3.7.17-4.el7.x86_64
libssh2-0:1.4.3-8.el7.x86_64
perl-macros-4:5.16.3-283.el7.x86_64
p11-kit-trust-0:0.18.7-4.el7.x86_64
nss-softokn-freebl-0:3.16.2-2.el7_0.x86_64
nspr-0:4.10.6-1.el7_0.x86_64
basesystem-0:10.0-7.el7.centos.noarch
info-0:5.1-4.el7.x86_64
expat-0:2.1.0-8.el7.x86_64
libmount-0:2.23.2-16.el7.x86_64
ncurses-base-0:5.9-13.20130511.el7.noarch
tzdata-0:2014j-1.el7_0.noarch
pkgconfig-1:0.27.1-4.el7.x86_64
dbus-1:1.6.12-8.el7.x86_64
libpwquality-0:1.2.3-4.el7.x86_64
libffi-0:3.0.13-11.el7.x86_64
grep-0:2.16-1.el7.x86_64
libuuid-0:2.23.2-16.el7.x86_64
shadow-utils-2:4.1.5.1-13.el7.x86_64
perl-libs-4:5.16.3-283.el7.x86_64
libuser-0:0.60-5.el7.x86_64
libcurl-0:7.29.0-19.el7.x86_64
cpio-0:2.11-22.el7.x86_64
libcap-ng-0:0.7.3-5.el7.x86_64
gzip-0:1.5-7.el7.x86_64
libtasn1-0:3.3-5.el7_0.x86_64
p11-kit-0:0.18.7-4.el7.x86_64
gdbm-0:1.10-8.el7.x86_64
git-core-doc-0:2.10.0-1.gf.el7.x86_64
openssh-clients-0:6.4p1-8.el7.x86_64
openldap-0:2.4.39-3.el7.x86_64
cracklib-dicts-0:2.9.0-11.el7.x86_64
libverto-0:0.2.5-4.el7.x86_64
libedit-0:3.0-12.20121213cvs.el7.x86_64
keyutils-libs-0:1.5.8-3.el7.x86_64
perl-threads-0:1.87-4.el7.x86_64
hardlink-1:1.0-19.el7.x86_64
libgnome-keyring-0:3.8.0-3.el7.x86_64
gmp-1:5.1.1-5.el7.x86_64
perl-File-Path-0:2.09-2.el7.noarch
nss-tools-0:3.16.2-7.el7_0.x86_64
libcap-0:2.22-8.el7.x86_64
perl-Error-1:0.17020-2.el7.noarch
util-linux-0:2.23.2-16.el7.x86_64
emacs-filesystem-1:24.3-11.el7.noarch
perl-Socket-0:2.010-3.el7.x86_64
device-mapper-7:1.02.84-14.el7.x86_64
bash-0:4.2.45-5.el7_0.4.x86_64
filesystem-0:3.2-18.el7.x86_64
perl-Pod-Escapes-1:1.04-283.el7.noarch
perl-Text-ParseWords-0:3.29-4.el7.noarch
libselinux-0:2.2.2-6.el7.x86_64
cracklib-0:2.9.0-11.el7.x86_64
perl-Storable-0:2.45-3.el7.x86_64
diffutils-0:3.3-4.el7.x86_64
git-core-0:2.10.0-1.gf.el7.x86_64
perl-Git-0:2.10.0-1.gf.el7.noarch
systemd-0:219-19.el7_2.13.x86_64
pam-0:1.1.8-9.el7.x86_64
libdb-0:5.3.21-17.el7_0.1.x86_64
libcom_err-0:1.42.9-4.el7.x86_64
dracut-0:033-360.el7_2.1.x86_64
perl-TermReadKey-0:2.30-20.el7.x86_64
libidn-0:1.28-3.el7.x86_64
perl-parent-1:0.225-244.el7.noarch
libattr-0:2.4.46-12.el7.x86_64
fipscheck-0:1.4.1-5.el7.x86_64
qrencode-libs-0:3.4.1-3.el7.x86_64
perl-podlators-0:2.5.1-3.el7.noarch
krb5-libs-0:1.11.3-49.el7.x86_64
audit-libs-0:2.3.3-4.el7.x86_64
perl-Carp-0:1.26-244.el7.noarch
sed-0:4.2.2-5.el7.x86_64
setup-0:2.8.71-4.el7.noarch
acl-0:2.2.51-12.el7.x86_64
perl-File-Temp-0:0.23.01-3.el7.noarch
procps-ng-0:3.3.9-6.el7.x86_64
perl-threads-shared-0:1.43-6.el7.x86_64
libgcrypt-0:1.5.3-4.el7.x86_64
groff-base-0:1.22.2-8.el7.x86_64
libsepol-0:2.1.9-3.el7.x86_64
libacl-0:2.2.51-12.el7.x86_64
ustr-0:1.0.4-16.el7.x86_64
rsync-0:3.0.9-15.el7.x86_64
glibc-common-0:2.17-55.el7_0.1.x86_64
perl-Encode-0:2.51-7.el7.x86_64
bzip2-libs-0:1.0.6-12.el7.x86_64
device-mapper-libs-7:1.02.84-14.el7.x86_64
perl-4:5.16.3-283.el7.x86_64
cyrus-sasl-lib-0:2.1.26-17.el7.x86_64

analyzing packages which will be removed...
skiped: perl-Git-0:2.10.0-1.gf.el7.noarch

Nothing to remove!
Attached Files
File Type: zip remove.py.zip (1.3 KB, 10 views)
Reply With Quote
Reply

Tags
delete, dependencies, package, yum

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Package updater and dependencies js72 Using Fedora 2 20th February 2008 09:40 PM
How to delete demaged package? Botond Fedora Core 5 - Dev 9 26th February 2006 12:26 AM
dependencies of rpm package kumarannair Using Fedora 3 10th December 2004 01:38 PM


Current GMT-time: 23:51 (Saturday, 03-12-2016)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat